package com.samples.infragistics.gridcustomcolumnheader;

import android.content.Context;
import android.graphics.Color;
import android.view.Gravity;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.FrameLayout;
import android.widget.LinearLayout;
import android.widget.TextView;

import com.infragistics.controls.IGGridView;
import com.infragistics.controls.IGGridViewCell;
import com.infragistics.controls.IGGridViewColumnHeaderCell;

public class CustomCell extends IGGridViewColumnHeaderCell {

    private LinearLayout _layout;

    private CheckBox _checkbox;
    private TextView _text;

    public CustomCell(Context context, String styleKey) {
        super(context, styleKey);

        _layout = new LinearLayout(context);
        _layout.setOrientation(LinearLayout.HORIZONTAL);
        //_layout.setBackgroundColor(Color.WHITE);
        _layout.setGravity(Gravity.CENTER);
        this.addView(_layout);

        _checkbox = new CheckBox(context);
        _checkbox.setBackgroundColor(Color.WHITE); // so you can see the checkbox
        _layout.addView(_checkbox);

        _text = new TextView(context);
        _text.setTextColor(Color.WHITE);
        _layout.addView(_text);
    }

    public void setText(String text) {
        _text.setText(text);
    }

    @Override
    protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
        super.onMeasure(widthMeasureSpec, heightMeasureSpec);

        int width = MeasureSpec.getSize(widthMeasureSpec) - (this.getPaddingRight() + this.getPaddingLeft());
        int height = MeasureSpec.getSize(heightMeasureSpec) - (this.getPaddingTop() + this.getPaddingBottom());

        _layout.measure(MeasureSpec.makeMeasureSpec(width, MeasureSpec.EXACTLY), MeasureSpec.makeMeasureSpec(height, MeasureSpec.EXACTLY));
    }

    @Override
    protected void onLayout(boolean changed, int l, int t, int r, int b) {
        int top = this.getPaddingTop();
        int left = this.getPaddingLeft();
        int right = (r - l) - (this.getPaddingRight());
        int bottom = (b - t) - (this.getPaddingBottom());

        _layout.layout(left, top, right, bottom);
    }


}
